# Gimp.param_spec_font

    @accepts(unicode, unicode, unicode, bool, Gimp.Font, bool, GObject.ParamFlags)
    @returns(GObject.ParamSpec)
    def param_spec_font(name, nick, blurb, none_ok, default_value, default_to_context, flags):
        # Python wrapper for gimp_param_spec_font()

Creates a new #GimpParamSpecFont specifying a [type@Font] property. See also [func@Gimp.param_spec_resource].

Since 3.0

name

  Canonical name of the property specified.

nick

  Nick name of the property specified.

blurb

  Description of the property specified.

none_ok

  Whether None is a valid value.

default_value

  Default font.

default_to_context

  Whether the context is the context's font.

flags

  Flags for the property specified.

Returns